IEEE80211_AMSDU_TO_8(9)

NAME
ieee80211_amsdu_to_8023s - decode an IEEE 802.11n A-MSDU frame

SYNOPSIS

void ieee80211_amsdu_to_8023s(struct sk_buff * skb, struct sk_buff_head * list, const u8 * addr, enum nl80211_iftype iftype, const unsigned int extra_headroom, bool has_80211_header);

ARGUMENTS

skb
    The input IEEE 802.11n A-MSDU frame.

list
    The output list of 802.3 frames. It must be allocated and initialized by by the caller.

addr
    The device MAC address.

iftype
    The device interface type.

extra_headroom
    The hardware extra headroom for SKBs in the list.

has_80211_header
    Set it true if SKB is with IEEE 802.11 header.

DESCRIPTION

Decode an IEEE 802.11n A-MSDU frame and convert it to a list of 802.3 frames. The list will be empty if the decode fails. The skb is consumed after the function returns.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT